package etunicorn.service;

import etunicorn.entity.Personne;
import etunicorn.repository.PersonneRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.LinkedHashMap;

/**
 * etunicorn-server
 * Copyright © 2017 Le Club Info Polytech Lille
 * Tous droits réservés
 */
@Service("personneService")
public class PersonneService {
    @Autowired
    PersonneRepository personneRepository;

    public PersonneService() {
    }

    public Personne getFromObject(LinkedHashMap<String, Object> object) {
        String carte = (String) object.get("carte");
        if (carte != null) {
            return personneRepository.findByCarte(carte);
        }
        Integer id = (Integer) object.get("id");
        if (id != null) {
            return personneRepository.findById(id);
        }
        return null;
    }
}
